Package org.eclipse.pde.ui.launcher

## Class OSGiLaunchConfigurationInitializer

- java.lang.Object
- - org.eclipse.pde.launching.OSGiLaunchConfigurationInitializer
  - - org.eclipse.pde.ui.launcher.OSGiLaunchConfigurationInitializer

    @Deprecated
    public class OSGiLaunchConfigurationInitializer
    extends OSGiLaunchConfigurationInitializer

Deprecated.
use `OSGiLaunchConfigurationInitializer` instead.
Initializes launch configuration attributes for newly-created OSGi Framework launch configurations

Clients may instantiate or subclass this class

Since:
  3.3
See Also:
  `OSGiLaunchConfigurationInitializer`

### Field Summary

### Fields inherited from class org.eclipse.pde.launching.OSGiLaunchConfigurationInitializer

`DEFAULT`

### Constructor Summary

Constructors
`OSGiLaunchConfigurationInitializer()` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.pde.launching.OSGiLaunchConfigurationInitializer

`getAutoStart, getStartLevel, initialize, initializeBundleState, initializeFrameworkDefaults, initializeSourcePathProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OSGiLaunchConfigurationInitializer

    public OSGiLaunchConfigurationInitializer()

Deprecated.